%define	pkgname	libguac-client-rdp
%define	soname	%{pkgname}0
Summary:	Guacamole client plugin supporting RDP
Name:		%{soname}
Version:	0.6.1
Release:	2.1
License:	MPLv1.1 or GPLv2 or LGPLv2.1
Group:		System Environment/Libraries
BuildRequires:	cairo-devel, libguac3-devel, freerdp-devel
Requires:	cairo, freerdp
Source0:	%{pkgname}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{pkgname}-%{version}-root

%description
This is a client plugin for Guacamole which supports RDP.

%package devel
Summary:        The rdp-client library (development headers)
Group:          Development/Libraries
Requires:       %{soname} = %{version}
Requires:  cairo-devel, libguac3-devel, freerdp-devel

%description devel
The development headers associated with the rdp-client library, libguac-client-rdp.

%prep
%setup -n %{pkgname}-%{version}

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=%{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a

%post
/sbin/ldconfig
ln -sf %{_libdir}/%{pkgname}.so.0 %{_libdir}/%{pkgname}.so || :

%postun
/sbin/ldconfig
rm -f %{_libdir}/%{pkgname}.so || :

%changelog
* Sun Sep 30 2012 cs@linux-administrator.com
- initial package
